Bug 26419 - дописать в README.ALT.UTF8 некоторые подробности про pgsql
: дописать в README.ALT.UTF8 некоторые подробности про pgsql
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/noc)
: unstable
: all Linux
: P3 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-10-05 22:09 by
Modified: 2012-05-02 19:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-10-05 22:09:56
>1) rpm пакет должен установить все необходимые для работы утилиты, программы, библиотеки,
>   кроме web-сервера (может использоваться apache, lighttpd, nginx - оставленно на выбор 
> пользователя).

Надо бы написать про где-нибудь стоящий postgresql-server, а то получается

# su -s /bin/bash - postgres
/var/lib/pgsql not available; exiting

Из текста не очевидно, что он не установился.
------- Comment #1 From 2011-10-05 22:34:27 -------
И про -T template0 заодно, а то 

$ createdb -E UTF8  -O noc noc
createdb: database creation failed: ERROR:  new encoding (UTF8) is incompatible
with the encoding of the template database (SQL_ASCII)
HINT:  Use the same encoding as in the template database, or use template0 as
template.
------- Comment #2 From 2012-05-02 17:16:48 -------
Администратор обычно должен осознавать свои действия. Readme - это просто
примерный порядок действий. На все случаи жизни readme не напишешь.
------- Comment #3 From 2012-05-02 19:37:33 -------
Администратор может не иметь желание/время/разное изучить какой-то
сопутствующий продукт. Postgres тут совсем не основной компонент с точки зрения
использования NOC. И изучать его только для ознакомления с NOC кажется
излишним. Это хорошо, если Postgres ещё где-то используется, а если нет, и нет
планов его внедрять ?

Ну и, исходя из такого подхода, README.ALT не нужен совсем... :-)